Получение информации об оборудовании при помощи I-Nex






I-Nex — это небольшая утилита, чем-то напоминающая популярную на Win-платформах CPU-Z. Программа позволяет получать разнообразную информацию об оборудовании, установленном в системе: CPU, GPU, материнской плате, аудио подсистеме, накопителях, операционной системе, памяти, сетевых интерфейсах и USB-устройствах. Возможности утилиты на сегодняшний день довольно бедные, но для многих случаев их должно более чем хватить.

I-Nex


Из приятных плюшек, предлагаемых программой, стоит отметить довольно удобную организацию информации по сравнению с существующими аналогами. Также I-Nex умеет формировать кастомизированные отчёты как в локальные текстовые файлы. так и автоматически отправлять их на сервисы а-ля Pastebin. Кроме того, приложение умеет делать скриншоты самого себя, что тоже полезно.

Из минусов стоит отметить тот факт, что пользовательский интерфейс утилиты разработан с использованием последнего Gambas3, библиотеки которого присутствуют ещё не во всех системах.

I-Nex

I-Nex

I-Nex

Установить I-Nex в Ubuntu версий 12.04 и выше можно следующим образом (обратите внимание на то, что добавляется PPA-репозиторий Gambas3):

Пользователи ArchLinux могут найти утилиту в AUR. Пользователей других дистрибутивов отправляю на страницу проекта, расположенную на Launchpad, где вы можете получить исходники и собрать их самостоятельно. Только не забудьте о самой свежей версии Gambas3, без которой сборка завершиться неудачей.




Получение информации об оборудовании при помощи I-Nex: 2 комментария

  1. zenitur@zenithar:~/Загрузки> rpmbuild --rebuild i-nex-0.5.2-4.8.src.rpm

    Устанавливается i-nex-0.5.2-4.8.src.rpm

    предупреждение: InstallSourcePackage at: psm.c:238: Заголовок V3 DSA/SHA1 Signature, key ID c0951497: NOKEY

    ошибка: Неудовлетворенные зависимости сборки:

    gambas3-devel >= 3.4.0 нужен для i-nex-0.5.2-4.8.noarch

    gambas3-gb-image >= 3.4.0 нужен для i-nex-0.5.2-4.8.noarch

    gambas3-gb-gtk >= 3.4.0 нужен для i-nex-0.5.2-4.8.noarch

    gambas3-gb-qt4 >= 3.4.0 нужен для i-nex-0.5.2-4.8.noarch

    gambas3-gb-qt4-ext >= 3.4.0 нужен для i-nex-0.5.2-4.8.noarch

    gambas3-gb-form >= 3.4.0 нужен для i-nex-0.5.2-4.8.noarch

    gambas3-gb-desktop >= 3.4.0 нужен для i-nex-0.5.2-4.8.noarch

    gambas3-gb-form-dialog >= 3.4.0 нужен для i-nex-0.5.2-4.8.noarch

    gambas3-gb-settings >= 3.4.0 нужен для i-nex-0.5.2-4.8.noarch

    gambas3-gb-form-stock >= 3.4.0 нужен для i-nex-0.5.2-4.8.noarch

    gambas3-gb-gui >= 3.4.0 нужен для i-nex-0.5.2-4.8.noarch

    update-desktop-files нужен для i-nex-0.5.2-4.8.noarch

    В репозитории только gambas2. Не хочу искать и устанавливать эту непонятную штуку ради смотрелки информации о процессоре

Комментарии запрещены.